#include<iostream>
using namespace std;
long long m[100000];
bool b[100000];
int main(){
long long n,c=0,mi=1000000099,p=0;
cin>>n;
for(int i=0;i<n;i++){
    cin>>m[i];
}
for(int i=1;i<n-1;i++){
    if(m[i]>m[i-1]&&m[i]>m[i+1]){
        c++;
        b[i]=true;
    }
}
if(c<2){
    cout<<0;
    return 0;
}
int f;
for(f=0;!b[f];f++){}
for(int i=f+1;i<n;i++){
    if(b[i]){
        mi=min(p,mi);
       // cout<<p<<' ';
        p=-1;
        //cout<<"hi "<<i<<endl;;
    }
    p++;
}
cout<<mi;
return 0;
}
